Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "admin_assistant_role_permission",
"attributes": {},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions"
payload = { "data": {
"type": "admin_assistant_role_permission",
"attributes": {},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {type: 'admin_assistant_role_permission', attributes: {}, relationships: {}}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "admin_assistant_role_permission",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>"
},
"relationships": {
"admin_assistant_role": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "admin_assistant_role",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Grant a permission to an admin assistant role
curl --request POST \
--url https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "admin_assistant_role_permission",
"attributes": {},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions"
payload = { "data": {
"type": "admin_assistant_role_permission",
"attributes": {},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {type: 'admin_assistant_role_permission', attributes: {}, relationships: {}}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/admin_assistant_role_permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "admin_assistant_role_permission",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>"
},
"relationships": {
"admin_assistant_role": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "admin_assistant_role",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer token
Show child attributes
admin assistant role permission created
Show child attributes